import * as TSU from "@panyam/tsutils";
import { GridModel } from "../grids";
import { Line } from "../core";
export declare class LineView {
    readonly rootElement: SVGSVGElement;
    line: Line;
    readonly config?: any | undefined;
    gridModel: GridModel;
    gElem: SVGGElement;
    roleSpacing: number;
    rowSpacing: number;
    constructor(rootElement: SVGSVGElement, line: Line, config?: any | undefined);
    wrapToSize(): void;
    get prefSize(): TSU.Geom.Size;
}
